SIVP Toolbox
Last update : March, 2006

corr2 - 2D correlation coefficient

### Calling Sequence

  `c = corr2(imA, imB)`

### Parameters

- `imA, imB`:`imA` and `imB` are 2D matrices of the same size.
- `c`: Correlation coefficient, a scalar of class double.

### Description

`corr2` computes correlation coefficient of two 2D matrices `imA` and `imB`.

`c = sum( (imA-mA).*(imB-mB) / sqrt(sum((imA-mA).^2) * sum((imB-mB).^2))`

`mA=mean2(imA)` and `mB=mean2(imB)`

### Authors

  Shiqi Yu <shiqi.yu[at]gmail.com>

### Availability

The latest version of SIVP can be found at

http://sivp.sourceforge.net

### See Also

`mean2`, `std2`, `stdev2`,